For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete a Webhook

Delete a Webhook

delete

This endpoint allows you to delete a Webhook.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webhookIdstring · uuidRequired
Responses
204

Returns an empty body

application/json
objectOptional
delete/v2/webhooks/:webhookId
DELETE /v2/webhooks/:webhookId HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Example

curl --location --request DELETE 'https://dev.underdogprotocol.com/v2/webhooks/:webhookId' \
--header 'Authorization: Bearer {token}'
const axios = require('axios');

let config = {
  method: 'delete',
maxBodyLength: Infinity,
  url: 'https://dev.underdogprotocol.com/v2/webhooks/:webhookId',
  headers: { 
    'Authorization': 'Bearer {token}'
  }
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Last updated